## org.eclipse.amp.amf.sd
Interface SdAbstractVariable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SdGeneratable, SdNamedElement

All Known Subinterfaces:
  SdAuxVariable, SdEquationVariable, SdFlowVariable, SdStockVariable

All Known Implementing Classes:
  SdAbstractVariableImpl, SdAuxVariableImpl, SdEquationVariableImpl, SdFlowVariableImpl, SdStockVariableImpl

    public interface SdAbstractVariable

extends SdGeneratable

A representation of the model object 'Abstract Variable'.

The following features are supported:

- `To Element`
- `Parent`

See Also:
  `SdPackage.getSdAbstractVariable()`

Method Summary
`SdModel` `getParent()` Returns the value of the 'Parent' container reference.
`org.eclipse.emf.common.util.EList<SdConnector>` `getToElement()` Returns the value of the 'To Element' containment reference list.
`void` `setParent(SdModel value)` Sets the value of the '`Parent`' container reference.

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getToElement

    org.eclipse.emf.common.util.EList<SdConnector> getToElement()

  Returns the value of the 'To Element' containment reference list. The list contents are of type `SdConnector`.

  If the meaning of the 'To Element' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'To Element' containment reference list.
  See Also:
    `SdPackage.getSdAbstractVariable_ToElement()`

### getParent

    SdModel getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Abstract Variables`'.

  If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `setParent(SdModel)`, `SdPackage.getSdAbstractVariable_Parent()`, `SdModel.getAbstractVariables()`

### setParent

    void setParent(SdModel value)

  Sets the value of the '`Parent`' container reference.

  Parameters:
    `value` - the new value of the 'Parent' container reference.
  See Also:
    `getParent()`